<template>
  <div class="register-con">
      <navs :message="titles" :rightText="loginTxt"></navs>
      <div class="register-spe">
        <inputs :iTitle="iTitle" :iType="iType" :imgSrc="iptSrc" :inputModel="models" @image="inputImg()"></inputs>
      </div>
      <div class="register-spe">

          <inputs :iTitle="iSend" :iType="iNum" :isSend="isSend" @sends="isDisable && clickButton()" ref="sends" :isDisable="isDisable"></inputs>
      </div>
    <div class="register-spe">

      <inputs :iTitle="iPassword" :iType="iPwd" :imgSrc="pwdSrc" @image="pwdImg()"></inputs>
    </div>
      <div class="button-txt">
        <buttons :buttonText="btnText"></buttons>
      </div>
    <div class="agree-able">
     <img class="agree-src" :src="checkedBox"/>
      <span class="register-txt">
        我同意易学懂《用户协议》
      </span>
    </div>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import inputs from '../components/inputs.vue';
  import buttons from '../components/buttons.vue';
  import mains from '../utils/main.js';
export default {
  name: 'register',
  data () {
    return {
      titles: '忘记密码',
      bgColor:"#FFF",
      loginTxt:"登录",
      iTitle:"手机号",
      iType:"tel",
      iSend:"验证码",
      iPwd:"password",
      iNum:"tel",
      iPassword:"密码",
      isSend:true,
      btnText:"确定",
      isDisable:true,
      models:"",
      iptSrc:require("../assets/del_gray.png"),
      pwdSrc:require("../assets/eye.png"),
      checkedBox:require("../assets/checked.png")
    }
  },
  methods:{
    inputImg(){
       this.models="";
    },
    pwdImg(){
        this.iPwd=this.password=="text" ? "password" :"text";
    },
    clickButton(){
      let vm=this;
      vm.isDisable=false;
      mains.setIntervals(60,function(r){
          vm.$refs["sends"].sendText=r+"S后重新发送";
      },function(){
        vm.isDisable=true;
        vm.$refs["sends"].sendText="点击发送短信";
      })
    }
  },
  components:{
    navs,
    inputs,
    buttons
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/register.css";
</style>
